/*
 * Copyright (c) 2000-2017 Apple Inc. All rights reserved.
 *
 * @APPLE_LICENSE_HEADER_START@
 *
 * This file contains Original Code and/or Modifications of Original Code
 * as defined in and that are subject to the Apple Public Source License
 * Version 2.0 (the 'License'). You may not use this file except in
 * compliance with the License. Please obtain a copy of the License at
 * http://www.opensource.apple.com/apsl/ and read it before using this
 * file.
 *
 * The Original Code and all software distributed under the License are
 * distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
 * EXPRESS OR IMPLIED, AND APPLE HEREBY DISCLAIMS ALL SUCH WARRANTIES,
 * INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NON-INFRINGEMENT.
 * Please see the License for the specific language governing rights and
 * limitations under the License.
 *
 * @APPLE_LICENSE_HEADER_END@
 */

/*
 * This file is automatically generated
 * DO NOT EDIT!
 */

/*
 * Generic Keys
 *
 *   kSCPropNetIgnoreLinkStatus                         "IgnoreLinkStatus"             CFBoolean
 *   kSCPropConfirmedInterfaceName                      "ConfirmedInterfaceName"       CFString
 *   kSCPropDisableUntilNeeded                          "DisableUntilNeeded"           CFNumber (0 or 1)
 *
 * Preference Keys
 *
 *   kSCPrefVirtualNetworkInterfaces                    "VirtualNetworkInterfaces"     CFDictionary
 *
 * Network Entity Keys
 *
 *   kSCEntNetActiveDuringSleepRequested                "ActiveDuringSleepRequested"   CFDictionary
 *   kSCEntNetActiveDuringSleepSupported                "ActiveDuringSleepSupported"   CFDictionary
 *   kSCEntNetAppLayer                                  "AppLayer"                     CFDictionary
 *   kSCEntNetCommCenter                                "com.apple.CommCenter"         CFDictionary
 *   kSCEntNetEAPOL                                     "EAPOL"                        CFDictionary
 *   kSCEntNetIPv4RouterARPFailure                      "IPv4RouterARPFailure"
 *   kSCEntNetIPv4RouterARPAlive                        "IPv4RouterARPAlive"
 *   kSCEntNetIPv6RouterExpired                         "IPv6RouterExpired"
 *   kSCEntNetLinkIssues                                "LinkIssues"                   CFDictionary
 *   kSCEntNetLinkQuality                               "LinkQuality"                  CFDictionary
 *   kSCEntNetLoopback                                  "Loopback"                     CFDictionary
 *   kSCEntNetNAT64PrefixRequest                        "NAT64PrefixRequest"
 *   kSCEntNetOnDemand                                  "OnDemand"                     CFDictionary
 *   kSCEntNetQoSMarkingPolicy                          "QoSMarkingPolicy"             CFDictionary
 *   kSCEntNetService                                   "__SERVICE__"                  CFDictionary
 *   kSCEntNetVPN                                       "VPN"                          CFDictionary
 *
 * kSCEntNetCommCenter Entity Keys
 *
 *   kSCPropNetCommCenterAllowNetworkAccess             "AllowNetworkAccess"           CFNumber (0 or 1)
 *   kSCPropNetCommCenterAvailable                      "Available"                    CFNumber (0 or 1)
 *
 * kSCEntNetDNS Entity Keys
 *
 *   kSCPropNetDNSConfirmedServiceID                    "ConfirmedServiceID"           CFString
 *   kSCPropNetDNSServiceIdentifier                     "ServiceIdentifier"            CFNumber
 *   kSCPropNetDNSSupplementalMatchDomainsNoSearch      "SupplementalMatchDomainsNoSearch" CFNumber (0 or 1)
 *
 * kSCEntNetEthernet (Hardware) Entity Keys
 *
 *   kSCPropNetEthernetCapabilityAV                     "AV"                           CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityJUMBO_MTU              "JUMBO_MTU"                    CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityLRO                    "LRO"                          CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityRXCSUM                 "RXCSUM"                       CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityTSO                    "TSO"                          CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityTSO4                   "TSO4"                         CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityTSO6                   "TSO6"                         CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityTXCSUM                 "TXCSUM"                       CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityVLAN_HWTAGGING         "VLAN_HWTAGGING"               CFNumber (0 or 1)
 *   kSCPropNetEthernetCapabilityVLAN_MTU               "VLAN_MTU"                     CFNumber (0 or 1)
 *
 * kSCEntNetInterface Entity Keys
 *
 *   --- kSCPropNetInterfaceType values ---
 *   kSCValNetInterfaceTypeCellular                     "Cellular"
 *   kSCValNetInterfaceTypeLoopback                     "Loopback"
 *   kSCValNetInterfaceTypeVPN                          "VPN"
 *
 *   kSCPropNetIPSecDisconnectOnWake                    "DisconnectOnWake"             CFNumber (0 or 1)
 *   kSCPropNetIPSecDisconnectOnWakeTimer               "DisconnectOnWakeTimer"        CFNumber
 * kSCEntNetIPSec Entity Keys
 *
 *   kSCPropNetIPSecLastCause                           "LastCause"                    CFNumber
 *
 *   --- OnDemand: ---
 *   kSCPropNetIPSecOnDemandEnabled                     "OnDemandEnabled"              CFNumber (0 or 1)
 *   kSCPropNetIPSecOnDemandMatchDomainsAlways          "OnDemandMatchDomainsAlways"   CFArray[CFString]
 *   kSCPropNetIPSecOnDemandMatchDomainsOnRetry         "OnDemandMatchDomainsOnRetry"  CFArray[CFString]
 *   kSCPropNetIPSecOnDemandMatchDomainsNever           "OnDemandMatchDomainsNever"    CFArray[CFString]
 *
 * kSCEntNetIPv4 Entity Keys
 *
 *   kSCPropNetIPv4AdditionalRoutes                     "AdditionalRoutes"             CFArray[CFDictionary]
 *   kSCPropNetIPv4ExcludedRoutes                       "ExcludedRoutes"               CFArray[CFDictionary]
 *   kSCPropNetIPv4IncludedRoutes                       "IncludedRoutes"               CFArray[CFDictionary]
 *
 *   --- kSCPropNetIPv4ConfigMethod values ---
 *   kSCValNetIPv4ConfigMethodFailover                  "Failover"
 *
 *   --- kSCPropNetIPv4AdditionalRoutes, kSCPropNetIPv4ExcludedRoutes, kSCPropNetIPv4IncludedRoutes [CFDictionary] keys ---
 *   kSCPropNetIPv4RouteDestinationAddress              "DestinationAddress"           CFString
 *   kSCPropNetIPv4RouteSubnetMask                      "SubnetMask"                   CFString
 *   kSCPropNetIPv4RouteGatewayAddress                  "GatewayAddress"               CFString
 *   kSCPropNetIPv4RouteInterfaceName                   "InterfaceName"                CFString
 *
 *   kSCPropNetIPv4ARPResolvedHardwareAddress           "ARPResolvedHardwareAddress"   CFString
 *   kSCPropNetIPv4ARPResolvedIPAddress                 "ARPResolvedIPAddress"         CFString
 *
 * kSCEntNetIPv6 Entity Keys
 *
 *   kSCPropNetIPv6AdditionalRoutes                     "AdditionalRoutes"             CFArray[CFDictionary]
 *   kSCPropNetIPv6EnableCGA                            "EnableCGA"                    CFNumber (0 or 1)
 *   kSCPropNetIPv6ExcludedRoutes                       "ExcludedRoutes"               CFArray[CFDictionary]
 *   kSCPropNetIPv6IncludedRoutes                       "IncludedRoutes"               CFArray[CFDictionary]
 *
 *   --- kSCPropNetIPv6AdditionalRoutes, kSCPropNetIPv6IncludedRoutes, kSCPropNetIPv6ExcludedRoutes [CFDictionary] keys ---
 *   kSCPropNetIPv6RouteDestinationAddress              "DestinationAddress"           CFString
 *   kSCPropNetIPv6RoutePrefixLength                    "PrefixLength"                 CFNumber
 *   kSCPropNetIPv6RouteGatewayAddress                  "GatewayAddress"               CFString
 *   kSCPropNetIPv6RouteInterfaceName                   "InterfaceName"                CFString
 *
 * kSCEntNetLink Entity Keys
 *
 *   kSCPropNetLinkExpensive                            "Expensive"                    CFBoolean
 *
 * kSCEntNetLinkIssues Entity Keys
 *
 *   kSCPropNetLinkIssuesModuleID                       "ModuleID"                     CFData
 *   kSCPropNetLinkIssuesInfo                           "Info"                         CFData
 *   kSCPropNetLinkIssuesTimeStamp                      "TimeStamp"                    CFDate
 *
 * kSCEntNetLinkQuality Entity Keys
 *
 *   kSCPropNetLinkQuality                              "LinkQuality"                  CFNumber
 *
 *   kSCPropNetPPPDisconnectOnWake                      "DisconnectOnWake"             CFNumber (0 or 1)
 *   kSCPropNetPPPDisconnectOnWakeTimer                 "DisconnectOnWakeTimer"        CFNumber
 * kSCEntNetPPP Entity Keys
 *
 *   --- OnDemand: ---
 *   kSCPropNetPPPOnDemandDomains                       "OnDemandDomains"              CFArray[CFString]
 *   kSCPropNetPPPOnDemandEnabled                       "OnDemandEnabled"              CFNumber (0 or 1)
 *   kSCPropNetPPPOnDemandHostName                      "OnDemandHostName"             CFString
 *   kSCPropNetPPPOnDemandMatchDomainsAlways            "OnDemandMatchDomainsAlways"   CFArray[CFString]
 *   kSCPropNetPPPOnDemandMatchDomainsOnRetry           "OnDemandMatchDomainsOnRetry"  CFArray[CFString]
 *   kSCPropNetPPPOnDemandMatchDomainsNever             "OnDemandMatchDomainsNever"    CFArray[CFString]
 *   kSCPropNetPPPOnDemandMode                          "OnDemandMode"                 CFString
 *   kSCPropNetPPPOnDemandPriority                      "OnDemandPriority"             CFString
 *
 *   --- kSCPropNetPPPOnDemandMode values ---
 *   kSCValNetPPPOnDemandModeAggressive                 "Aggressive"
 *   kSCValNetPPPOnDemandModeConservative               "Conservative"
 *   kSCValNetPPPOnDemandModeCompatible                 "Compatible"
 *
 *   --- kSCPropNetPPPOnDemandPriority values ---
 *   kSCValNetPPPOnDemandPriorityDefault                "Default"
 *   kSCValNetPPPOnDemandPriorityHigh                   "High"
 *   kSCValNetPPPOnDemandPriorityLow                    "Low"
 *
 * kSCEntNetProxies Entity Keys
 *
 *   kSCPropNetProxiesBypassAllowed                     "BypassAllowed"                CFNumber (0 or 1)
 *   kSCPropNetProxiesFallBackAllowed                   "FallBackAllowed"              CFNumber (0 or 1)
 *   kSCPropNetProxiesSupplementalMatchDomains          "SupplementalMatchDomains"     CFArray[CFString]
 *   kSCPropNetProxiesSupplementalMatchOrders           "SupplementalMatchOrders"      CFArray[CFNumber]
 *   kSCPropNetProxiesServiceSpecific                   "ServiceSpecific"              CFNumber (0 or 1)
 *
 *   kSCPropNetProxiesScoped                            "__SCOPED__"                   CFDictionary
 *   kSCPropNetProxiesServices                          "__SERVICES__"                 CFDictionary
 *   kSCPropNetProxiesSupplemental                      "__SUPPLEMENTAL__"             CFArray[CFDictionary]
 *   kSCPropNetProxiesSupplementalMatchDomain           "__MATCH_DOMAIN__"             CFString
 *
 * kSCEntNetQoSMarkingPolicy Entity Keys
 *
 *   kSCPropNetQoSMarkingAppleAudioVideoCalls           "QoSMarkingAppleAudioVideoCalls" CFBoolean
 *   kSCPropNetQoSMarkingEnabled                        "QoSMarkingEnabled"            CFBoolean
 *   kSCPropNetQoSMarkingWhitelistedAppIdentifiers      "QoSMarkingWhitelistedAppIdentifiers" CFArray[CFString]
 *
 * kSCEntNetService Entity Keys
 *
 *   kSCPropNetServicePrimaryRank                       "PrimaryRank"                  CFString
 *   kSCPropNetServiceServiceIndex                      "ServiceIndex"                 CFNumber
 *   kSCPropNetServiceUserDefinedName                   "UserDefinedName"              CFString
 *
 *   --- kSCPropNetServicePrimaryRank values ---
 *   kSCValNetServicePrimaryRankFirst                   "First"
 *   kSCValNetServicePrimaryRankLast                    "Last"
 *   kSCValNetServicePrimaryRankNever                   "Never"
 *   kSCValNetServicePrimaryRankScoped                  "Scoped"
 *
 * kSCEntNetVPN Entity Keys
 *
 *   kSCPropNetVPNAppRules                              "AppRules"                     CFArray[CFDictionary]
 *   kSCPropNetVPNAuthCredentialPassword                "AuthCredentialPassword"       CFString
 *   kSCPropNetVPNAuthName                              "AuthName"                     CFString
 *   kSCPropNetVPNAuthPassword                          "AuthPassword"                 CFString
 *   kSCPropNetVPNAuthPasswordEncryption                "AuthPasswordEncryption"       CFString
 *   kSCPropNetVPNAuthPasswordPluginType                "AuthPasswordPluginType"       CFString
 *   kSCPropNetVPNAuthenticationMethod                  "AuthenticationMethod"         CFString
 *   kSCPropNetVPNConnectTime                           "ConnectTime"                  CFString
 *   kSCPropNetVPNDisconnectOnFastUserSwitch            "DisconnectOnFastUserSwitch"   CFNumber (0 or 1)
 *   kSCPropNetVPNDisconnectOnIdle                      "DisconnectOnIdle"             CFNumber (0 or 1)
 *   kSCPropNetVPNDisconnectOnIdleTimer                 "DisconnectOnIdleTimer"        CFNumber
 *   kSCPropNetVPNDisconnectOnLogout                    "DisconnectOnLogout"           CFNumber (0 or 1)
 *   kSCPropNetVPNDisconnectOnSleep                     "DisconnectOnSleep"            CFNumber (0 or 1)
 *   kSCPropNetVPNDisconnectOnWake                      "DisconnectOnWake"             CFNumber (0 or 1)
 *   kSCPropNetVPNDisconnectOnWakeTimer                 "DisconnectOnWakeTimer"        CFNumber
 *   kSCPropNetVPNLocalCertificate                      "LocalCertificate"             CFData
 *   kSCPropNetVPNLogfile                               "Logfile"                      CFString
 *   kSCPropNetVPNMTU                                   "MTU"                          CFNumber
 *   kSCPropNetVPNOnDemandEnabled                       "OnDemandEnabled"              CFNumber (0 or 1)
 *   kSCPropNetVPNOnDemandMatchAppEnabled               "OnDemandMatchAppEnabled"      CFBoolean
 *   kSCPropNetVPNOnDemandMatchDomainsAlways            "OnDemandMatchDomainsAlways"   CFArray[CFString]
 *   kSCPropNetVPNOnDemandMatchDomainsOnRetry           "OnDemandMatchDomainsOnRetry"  CFArray[CFString]
 *   kSCPropNetVPNOnDemandMatchDomainsNever             "OnDemandMatchDomainsNever"    CFArray[CFString]
 *   kSCPropNetVPNOnDemandRules                         "OnDemandRules"                CFArray[CFDictionary]
 *   kSCPropNetVPNOnDemandSuspended                     "OnDemandSuspended"            CFNumber
 *   kSCPropNetVPNPluginCapability                      "PluginCapability"             CFString
 *   kSCPropNetVPNRemoteAddress                         "RemoteAddress"                CFString
 *   kSCPropNetVPNStatus                                "Status"                       CFNumber
 *   kSCPropNetVPNVerboseLogging                        "VerboseLogging"               CFNumber (0 or 1)
 *
 *   --- kSCPropNetVPNAppRules [CFDictionary] keys ---
 *   kSCValNetVPNAppRuleAccountIdentifierMatch          "AccountIdentifierMatch"       CFArray[CFString]
 *   kSCValNetVPNAppRuleDNSDomainMatch                  "DNSDomainMatch"               CFArray[CFString]
 *   kSCValNetVPNAppRuleExecutableMatch                 "ExecutableMatch"              CFArray[CFDictionary]
 *   kSCValNetVPNAppRuleIdentifier                      "Identifier"                   CFString
 *
 *   --- kSCValNetVPNAppRuleExecutableMatch [CFDictionary] keys ---
 *   kSCValNetVPNAppRuleExecutableDesignatedRequirement "DesignatedRequirement"        CFString
 *   kSCValNetVPNAppRuleExecutableSigningIdentifier     "SigningIdentifier"            CFString
 *   kSCValNetVPNAppRuleExecutableUUID                  "UUID"                         CFString
 *
 *   --- kSCPropNetVPNAuthenticationMethod values ---
 *   kSCValNetVPNAuthenticationMethodPassword           "Password"
 *   kSCValNetVPNAuthenticationMethodCertificate        "Certificate"
 *
 *   --- kSCPropNetVPNAuthPasswordEncryption values ---
 *   kSCValNetVPNAuthPasswordEncryptionExternal         "External"
 *   kSCValNetVPNAuthPasswordEncryptionKeychain         "Keychain"
 *   kSCValNetVPNAuthPasswordEncryptionPrompt           "Prompt"
 *
 *   --- kSCPropNetVPNOnDemandRules [CFDictionary] keys ---
 *   kSCPropNetVPNOnDemandRuleAction                    "Action"                       CFString
 *   kSCPropNetVPNOnDemandRuleActionParameters          "ActionParameters"             CFArray[CFDictionary]
 *   kSCPropNetVPNOnDemandRuleDNSDomainMatch            "DNSDomainMatch"               CFArray[CFString]
 *   kSCPropNetVPNOnDemandRuleDNSServerAddressMatch     "DNSServerAddressMatch"        CFArray[CFString]
 *   kSCPropNetVPNOnDemandRuleSSIDMatch                 "SSIDMatch"                    CFArray[CFString]
 *   kSCPropNetVPNOnDemandRuleInterfaceTypeMatch        "InterfaceTypeMatch"           CFString
 *   kSCPropNetVPNOnDemandRuleURLStringProbe            "URLStringProbe"               CFString
 *
 *   --- kSCPropNetVPNOnDemandRuleAction values ---
 *   kSCValNetVPNOnDemandRuleActionAllow                "Allow"
 *   kSCValNetVPNOnDemandRuleActionIgnore               "Ignore"
 *   kSCValNetVPNOnDemandRuleActionConnect              "Connect"
 *   kSCValNetVPNOnDemandRuleActionDisconnect           "Disconnect"
 *   kSCValNetVPNOnDemandRuleActionEvaluateConnection   "EvaluateConnection"
 *
 *   --- kSCPropNetVPNOnDemandRuleActionParameters [CFDictionary] keys ---
 *   kSCPropNetVPNOnDemandRuleActionParametersDomainAction "DomainAction"                 CFString
 *   kSCPropNetVPNOnDemandRuleActionParametersDomains   "Domains"                      CFArray[CFString]
 *   kSCPropNetVPNOnDemandRuleActionParametersRequiredDNSServers "RequiredDNSServers"           CFArray[CFString]
 *   kSCPropNetVPNOnDemandRuleActionParametersRequiredURLStringProbe "RequiredURLStringProbe"       CFString
 *
 *   --- kSCPropNetVPNOnDemandRuleActionParametersDomainAction values ---
 *   kSCValNetVPNOnDemandRuleActionParametersDomainActionConnectIfNeeded "ConnectIfNeeded"
 *   kSCValNetVPNOnDemandRuleActionParametersDomainActionNeverConnect "NeverConnect"
 *
 *   --- kSCPropNetVPNOnDemandRuleInterfaceTypeMatch values ---
 *   kSCValNetVPNOnDemandRuleInterfaceTypeMatchCellular "Cellular"
 *   kSCValNetVPNOnDemandRuleInterfaceTypeMatchEthernet "Ethernet"
 *   kSCValNetVPNOnDemandRuleInterfaceTypeMatchWiFi     "WiFi"
 *
 *   --- kSCPropNetVPNPluginCapability values ---
 *   kSCValNetVPNPluginCapabilityAuth                   "Auth"
 *   kSCValNetVPNPluginCapabilityConnect                "Connect"
 *
 * kSCCompSystem Properties
 *
 *   kSCPropSystemComputerNameRegion                    "ComputerNameRegion"           CFNumber
 *   kSCPropSystemHostName                              "HostName"                     CFString
 *
 * Virtual Network Interface Keys
 *
 *   kSCPropVirtualNetworkInterfacesBondInterfaces      "Interfaces"                   CFArray[CFString]
 *   kSCPropVirtualNetworkInterfacesBondMode            "Mode"                         CFNumber
 *   kSCPropVirtualNetworkInterfacesBondOptions         "Options"                      CFDictionary
 *
 *   kSCPropVirtualNetworkInterfacesBridgeInterfaces    "Interfaces"                   CFArray[CFString]
 *   kSCPropVirtualNetworkInterfacesBridgeOptions       "Options"                      CFDictionary
 *
 *   kSCPropVirtualNetworkInterfacesVLANInterface       "Interface"                    CFString
 *   kSCPropVirtualNetworkInterfacesVLANTag             "Tag"                          CFNumber
 *   kSCPropVirtualNetworkInterfacesVLANOptions         "Options"                      CFDictionary
 */


#ifndef _SCSCHEMADEFINITIONSPRIVATE_H
#define _SCSCHEMADEFINITIONSPRIVATE_H

#include <SystemConfiguration/SCSchemaDefinitions.h>

/*!
 *	@header SCSchemaDefinitionsPrivate
 */

/*!
  @const kSCPropNetIgnoreLinkStatus
  @discussion Value is a CFBoolean
 */
extern const CFStringRef kSCPropNetIgnoreLinkStatus                         __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropNetIgnoreLinkStatus kSCPropNetIgnoreLinkStatus

/*!
  @const kSCPropConfirmedInterfaceName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropConfirmedInterfaceName                      __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCPropConfirmedInterfaceName kSCPropConfirmedInterfaceName

/*!
  @const kSCPropDisableUntilNeeded
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropDisableUntilNeeded                          __OSX_AVAILABLE_STARTING(__MAC_10_11,__IPHONE_9_0/*SPI*/);
#define kSCPropDisableUntilNeeded kSCPropDisableUntilNeeded

/*!
  @group Preference Keys
 */

/*!
  @const kSCPrefVirtualNetworkInterfaces
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCPrefVirtualNetworkInterfaces                    __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPrefVirtualNetworkInterfaces kSCPrefVirtualNetworkInterfaces

/*!
  @group Network Entity Keys
 */

/*!
  @const kSCEntNetActiveDuringSleepRequested
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetActiveDuringSleepRequested                __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_7_0/*SPI*/);
#define kSCEntNetActiveDuringSleepRequested kSCEntNetActiveDuringSleepRequested

/*!
  @const kSCEntNetActiveDuringSleepSupported
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetActiveDuringSleepSupported                __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_7_0/*SPI*/);
#define kSCEntNetActiveDuringSleepSupported kSCEntNetActiveDuringSleepSupported

/*!
  @const kSCEntNetAppLayer
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetAppLayer                                  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCEntNetAppLayer kSCEntNetAppLayer

/*!
  @const kSCEntNetCommCenter
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetCommCenter                                __OSX_AVAILABLE_STARTING(__MAC_NA,__IPHONE_2_0/*SPI*/);
#define kSCEntNetCommCenter kSCEntNetCommCenter

/*!
  @const kSCEntNetEAPOL
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetEAPOL                                     __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCEntNetEAPOL kSCEntNetEAPOL

/*!
  @const kSCEntNetIPv4RouterARPFailure
 */
extern const CFStringRef kSCEntNetIPv4RouterARPFailure                      __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCEntNetIPv4RouterARPFailure kSCEntNetIPv4RouterARPFailure

/*!
  @const kSCEntNetIPv4RouterARPAlive
 */
extern const CFStringRef kSCEntNetIPv4RouterARPAlive                        __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCEntNetIPv4RouterARPAlive kSCEntNetIPv4RouterARPAlive

/*!
  @const kSCEntNetIPv6RouterExpired
 */
extern const CFStringRef kSCEntNetIPv6RouterExpired                         __OSX_AVAILABLE_STARTING(__MAC_10_13,__IPHONE_11_0/*SPI*/);
#define kSCEntNetIPv6RouterExpired kSCEntNetIPv6RouterExpired

/*!
  @const kSCEntNetLinkIssues
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetLinkIssues                                __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCEntNetLinkIssues kSCEntNetLinkIssues

/*!
  @const kSCEntNetLinkQuality
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetLinkQuality                               __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCEntNetLinkQuality kSCEntNetLinkQuality

/*!
  @const kSCEntNetLoopback
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetLoopback                                  __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCEntNetLoopback kSCEntNetLoopback

/*!
  @const kSCEntNetNAT64PrefixRequest
 */
extern const CFStringRef kSCEntNetNAT64PrefixRequest                        __OSX_AVAILABLE_STARTING(__MAC_10_13,__IPHONE_11_0/*SPI*/);
#define kSCEntNetNAT64PrefixRequest kSCEntNetNAT64PrefixRequest

/*!
  @const kSCEntNetOnDemand
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetOnDemand                                  __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/);
#define kSCEntNetOnDemand kSCEntNetOnDemand

/*!
  @const kSCEntNetQoSMarkingPolicy
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetQoSMarkingPolicy                          __OSX_AVAILABLE_STARTING(__MAC_10_13,__IPHONE_10_0/*SPI*/);
#define kSCEntNetQoSMarkingPolicy kSCEntNetQoSMarkingPolicy

/*!
  @const kSCEntNetService
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetService                                   __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/);
#define kSCEntNetService kSCEntNetService

/*!
  @const kSCEntNetVPN
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCEntNetVPN                                       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCEntNetVPN kSCEntNetVPN

/*!
  @group kSCEntNetCommCenter Entity Keys
 */

/*!
  @const kSCPropNetCommCenterAllowNetworkAccess
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetCommCenterAllowNetworkAccess             __OSX_AVAILABLE_STARTING(__MAC_NA,__IPHONE_2_0/*SPI*/);
#define kSCPropNetCommCenterAllowNetworkAccess kSCPropNetCommCenterAllowNetworkAccess

/*!
  @const kSCPropNetCommCenterAvailable
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetCommCenterAvailable                      __OSX_AVAILABLE_STARTING(__MAC_NA,__IPHONE_2_0/*SPI*/);
#define kSCPropNetCommCenterAvailable kSCPropNetCommCenterAvailable

/*!
  @group kSCEntNetDNS Entity Keys
 */

/*!
  @const kSCPropNetDNSConfirmedServiceID
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetDNSConfirmedServiceID                    __OSX_AVAILABLE_STARTING(__MAC_10_11,__IPHONE_9_0/*SPI*/);
#define kSCPropNetDNSConfirmedServiceID kSCPropNetDNSConfirmedServiceID

/*!
  @const kSCPropNetDNSServiceIdentifier
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetDNSServiceIdentifier                     __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetDNSServiceIdentifier kSCPropNetDNSServiceIdentifier

/*!
  @const kSCPropNetDNSSupplementalMatchDomainsNoSearch
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetDNSSupplementalMatchDomainsNoSearch      __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetDNSSupplementalMatchDomainsNoSearch kSCPropNetDNSSupplementalMatchDomainsNoSearch

/*!
  @group kSCEntNetEthernet (Hardware) Entity Keys
 */

/*!
  @const kSCPropNetEthernetCapabilityAV
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityAV                     __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityAV kSCPropNetEthernetCapabilityAV

/*!
  @const kSCPropNetEthernetCapabilityJUMBO_MTU
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityJUMBO_MTU              __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityJUMBO_MTU kSCPropNetEthernetCapabilityJUMBO_MTU

/*!
  @const kSCPropNetEthernetCapabilityLRO
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityLRO                    __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityLRO kSCPropNetEthernetCapabilityLRO

/*!
  @const kSCPropNetEthernetCapabilityRXCSUM
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityRXCSUM                 __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityRXCSUM kSCPropNetEthernetCapabilityRXCSUM

/*!
  @const kSCPropNetEthernetCapabilityTSO
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityTSO                    __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityTSO kSCPropNetEthernetCapabilityTSO

/*!
  @const kSCPropNetEthernetCapabilityTSO4
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityTSO4                   __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityTSO4 kSCPropNetEthernetCapabilityTSO4

/*!
  @const kSCPropNetEthernetCapabilityTSO6
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityTSO6                   __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityTSO6 kSCPropNetEthernetCapabilityTSO6

/*!
  @const kSCPropNetEthernetCapabilityTXCSUM
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityTXCSUM                 __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityTXCSUM kSCPropNetEthernetCapabilityTXCSUM

/*!
  @const kSCPropNetEthernetCapabilityVLAN_HWTAGGING
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityVLAN_HWTAGGING         __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityVLAN_HWTAGGING kSCPropNetEthernetCapabilityVLAN_HWTAGGING

/*!
  @const kSCPropNetEthernetCapabilityVLAN_MTU
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetEthernetCapabilityVLAN_MTU               __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetEthernetCapabilityVLAN_MTU kSCPropNetEthernetCapabilityVLAN_MTU

/*!
  @group kSCEntNetInterface Entity Keys
 */

/*!
  @const kSCValNetInterfaceTypeCellular
 */
extern const CFStringRef kSCValNetInterfaceTypeCellular                     __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCValNetInterfaceTypeCellular kSCValNetInterfaceTypeCellular

/*!
  @const kSCValNetInterfaceTypeLoopback
 */
extern const CFStringRef kSCValNetInterfaceTypeLoopback                     __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCValNetInterfaceTypeLoopback kSCValNetInterfaceTypeLoopback

/*!
  @const kSCValNetInterfaceTypeVPN
 */
extern const CFStringRef kSCValNetInterfaceTypeVPN                          __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCValNetInterfaceTypeVPN kSCValNetInterfaceTypeVPN

/*!
  @const kSCPropNetIPSecDisconnectOnWake
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetIPSecDisconnectOnWake                    __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetIPSecDisconnectOnWake kSCPropNetIPSecDisconnectOnWake

/*!
  @const kSCPropNetIPSecDisconnectOnWakeTimer
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetIPSecDisconnectOnWakeTimer               __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetIPSecDisconnectOnWakeTimer kSCPropNetIPSecDisconnectOnWakeTimer

/*!
  @group kSCEntNetIPSec Entity Keys
 */

/*!
  @const kSCPropNetIPSecLastCause
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetIPSecLastCause                           __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/);
#define kSCPropNetIPSecLastCause kSCPropNetIPSecLastCause

/*!
  @const kSCPropNetIPSecOnDemandEnabled
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetIPSecOnDemandEnabled                     __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/);
#define kSCPropNetIPSecOnDemandEnabled kSCPropNetIPSecOnDemandEnabled

/*!
  @const kSCPropNetIPSecOnDemandMatchDomainsAlways
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetIPSecOnDemandMatchDomainsAlways          __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/);
#define kSCPropNetIPSecOnDemandMatchDomainsAlways kSCPropNetIPSecOnDemandMatchDomainsAlways

/*!
  @const kSCPropNetIPSecOnDemandMatchDomainsOnRetry
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetIPSecOnDemandMatchDomainsOnRetry         __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/);
#define kSCPropNetIPSecOnDemandMatchDomainsOnRetry kSCPropNetIPSecOnDemandMatchDomainsOnRetry

/*!
  @const kSCPropNetIPSecOnDemandMatchDomainsNever
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetIPSecOnDemandMatchDomainsNever           __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_3_0/*SPI*/);
#define kSCPropNetIPSecOnDemandMatchDomainsNever kSCPropNetIPSecOnDemandMatchDomainsNever

/*!
  @group kSCEntNetIPv4 Entity Keys
 */

/*!
  @const kSCPropNetIPv4AdditionalRoutes
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetIPv4AdditionalRoutes                     __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCPropNetIPv4AdditionalRoutes kSCPropNetIPv4AdditionalRoutes

/*!
  @const kSCPropNetIPv4ExcludedRoutes
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetIPv4ExcludedRoutes                       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv4ExcludedRoutes kSCPropNetIPv4ExcludedRoutes

/*!
  @const kSCPropNetIPv4IncludedRoutes
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetIPv4IncludedRoutes                       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv4IncludedRoutes kSCPropNetIPv4IncludedRoutes

/*!
  @const kSCValNetIPv4ConfigMethodFailover
 */
extern const CFStringRef kSCValNetIPv4ConfigMethodFailover                  __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetIPv4ConfigMethodFailover kSCValNetIPv4ConfigMethodFailover

/*!
  @const kSCPropNetIPv4RouteDestinationAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv4RouteDestinationAddress              __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv4RouteDestinationAddress kSCPropNetIPv4RouteDestinationAddress

/*!
  @const kSCPropNetIPv4RouteSubnetMask
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv4RouteSubnetMask                      __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv4RouteSubnetMask kSCPropNetIPv4RouteSubnetMask

/*!
  @const kSCPropNetIPv4RouteGatewayAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv4RouteGatewayAddress                  __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv4RouteGatewayAddress kSCPropNetIPv4RouteGatewayAddress

/*!
  @const kSCPropNetIPv4RouteInterfaceName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv4RouteInterfaceName                   __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCPropNetIPv4RouteInterfaceName kSCPropNetIPv4RouteInterfaceName

/*!
  @const kSCPropNetIPv4ARPResolvedHardwareAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv4ARPResolvedHardwareAddress           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetIPv4ARPResolvedHardwareAddress kSCPropNetIPv4ARPResolvedHardwareAddress

/*!
  @const kSCPropNetIPv4ARPResolvedIPAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv4ARPResolvedIPAddress                 __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetIPv4ARPResolvedIPAddress kSCPropNetIPv4ARPResolvedIPAddress

/*!
  @group kSCEntNetIPv6 Entity Keys
 */

/*!
  @const kSCPropNetIPv6AdditionalRoutes
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetIPv6AdditionalRoutes                     __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCPropNetIPv6AdditionalRoutes kSCPropNetIPv6AdditionalRoutes

/*!
  @const kSCPropNetIPv6EnableCGA
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetIPv6EnableCGA                            __OSX_AVAILABLE_STARTING(__MAC_10_12,__IPHONE_10_0/*SPI*/);
#define kSCPropNetIPv6EnableCGA kSCPropNetIPv6EnableCGA

/*!
  @const kSCPropNetIPv6ExcludedRoutes
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetIPv6ExcludedRoutes                       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv6ExcludedRoutes kSCPropNetIPv6ExcludedRoutes

/*!
  @const kSCPropNetIPv6IncludedRoutes
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetIPv6IncludedRoutes                       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv6IncludedRoutes kSCPropNetIPv6IncludedRoutes

/*!
  @const kSCPropNetIPv6RouteDestinationAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv6RouteDestinationAddress              __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv6RouteDestinationAddress kSCPropNetIPv6RouteDestinationAddress

/*!
  @const kSCPropNetIPv6RoutePrefixLength
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetIPv6RoutePrefixLength                    __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv6RoutePrefixLength kSCPropNetIPv6RoutePrefixLength

/*!
  @const kSCPropNetIPv6RouteGatewayAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv6RouteGatewayAddress                  __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetIPv6RouteGatewayAddress kSCPropNetIPv6RouteGatewayAddress

/*!
  @const kSCPropNetIPv6RouteInterfaceName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetIPv6RouteInterfaceName                   __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCPropNetIPv6RouteInterfaceName kSCPropNetIPv6RouteInterfaceName

/*!
  @group kSCEntNetLink Entity Keys
 */

/*!
  @const kSCPropNetLinkExpensive
  @discussion Value is a CFBoolean
 */
extern const CFStringRef kSCPropNetLinkExpensive                            __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCPropNetLinkExpensive kSCPropNetLinkExpensive

/*!
  @group kSCEntNetLinkIssues Entity Keys
 */

/*!
  @const kSCPropNetLinkIssuesModuleID
  @discussion Value is a CFData
 */
extern const CFStringRef kSCPropNetLinkIssuesModuleID                       __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetLinkIssuesModuleID kSCPropNetLinkIssuesModuleID

/*!
  @const kSCPropNetLinkIssuesInfo
  @discussion Value is a CFData
 */
extern const CFStringRef kSCPropNetLinkIssuesInfo                           __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetLinkIssuesInfo kSCPropNetLinkIssuesInfo

/*!
  @const kSCPropNetLinkIssuesTimeStamp
  @discussion Value is a CFDate
 */
extern const CFStringRef kSCPropNetLinkIssuesTimeStamp                      __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetLinkIssuesTimeStamp kSCPropNetLinkIssuesTimeStamp

/*!
  @group kSCEntNetLinkQuality Entity Keys
 */

/*!
  @const kSCPropNetLinkQuality
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetLinkQuality                              __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetLinkQuality kSCPropNetLinkQuality

/*!
  @const kSCPropNetPPPDisconnectOnWake
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnWake                      __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetPPPDisconnectOnWake kSCPropNetPPPDisconnectOnWake

/*!
  @const kSCPropNetPPPDisconnectOnWakeTimer
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetPPPDisconnectOnWakeTimer                 __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetPPPDisconnectOnWakeTimer kSCPropNetPPPDisconnectOnWakeTimer

/*!
  @group kSCEntNetPPP Entity Keys
 */

/*!
  @const kSCPropNetPPPOnDemandDomains
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetPPPOnDemandDomains                       __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropNetPPPOnDemandDomains kSCPropNetPPPOnDemandDomains

/*!
  @const kSCPropNetPPPOnDemandEnabled
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetPPPOnDemandEnabled                       __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropNetPPPOnDemandEnabled kSCPropNetPPPOnDemandEnabled

/*!
  @const kSCPropNetPPPOnDemandHostName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetPPPOnDemandHostName                      __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropNetPPPOnDemandHostName kSCPropNetPPPOnDemandHostName

/*!
  @const kSCPropNetPPPOnDemandMatchDomainsAlways
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetPPPOnDemandMatchDomainsAlways            __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetPPPOnDemandMatchDomainsAlways kSCPropNetPPPOnDemandMatchDomainsAlways

/*!
  @const kSCPropNetPPPOnDemandMatchDomainsOnRetry
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetPPPOnDemandMatchDomainsOnRetry           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetPPPOnDemandMatchDomainsOnRetry kSCPropNetPPPOnDemandMatchDomainsOnRetry

/*!
  @const kSCPropNetPPPOnDemandMatchDomainsNever
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetPPPOnDemandMatchDomainsNever             __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetPPPOnDemandMatchDomainsNever kSCPropNetPPPOnDemandMatchDomainsNever

/*!
  @const kSCPropNetPPPOnDemandMode
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetPPPOnDemandMode                          __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropNetPPPOnDemandMode kSCPropNetPPPOnDemandMode

/*!
  @const kSCPropNetPPPOnDemandPriority
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetPPPOnDemandPriority                      __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropNetPPPOnDemandPriority kSCPropNetPPPOnDemandPriority

/*!
  @const kSCValNetPPPOnDemandModeAggressive
 */
extern const CFStringRef kSCValNetPPPOnDemandModeAggressive                 __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetPPPOnDemandModeAggressive kSCValNetPPPOnDemandModeAggressive

/*!
  @const kSCValNetPPPOnDemandModeConservative
 */
extern const CFStringRef kSCValNetPPPOnDemandModeConservative               __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetPPPOnDemandModeConservative kSCValNetPPPOnDemandModeConservative

/*!
  @const kSCValNetPPPOnDemandModeCompatible
 */
extern const CFStringRef kSCValNetPPPOnDemandModeCompatible                 __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetPPPOnDemandModeCompatible kSCValNetPPPOnDemandModeCompatible

/*!
  @const kSCValNetPPPOnDemandPriorityDefault
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityDefault                __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetPPPOnDemandPriorityDefault kSCValNetPPPOnDemandPriorityDefault

/*!
  @const kSCValNetPPPOnDemandPriorityHigh
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityHigh                   __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetPPPOnDemandPriorityHigh kSCValNetPPPOnDemandPriorityHigh

/*!
  @const kSCValNetPPPOnDemandPriorityLow
 */
extern const CFStringRef kSCValNetPPPOnDemandPriorityLow                    __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCValNetPPPOnDemandPriorityLow kSCValNetPPPOnDemandPriorityLow

/*!
  @group kSCEntNetProxies Entity Keys
 */

/*!
  @const kSCPropNetProxiesBypassAllowed
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetProxiesBypassAllowed                     __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetProxiesBypassAllowed kSCPropNetProxiesBypassAllowed

/*!
  @const kSCPropNetProxiesFallBackAllowed
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetProxiesFallBackAllowed                   __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_6_0/*SPI*/);
#define kSCPropNetProxiesFallBackAllowed kSCPropNetProxiesFallBackAllowed

/*!
  @const kSCPropNetProxiesSupplementalMatchDomains
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetProxiesSupplementalMatchDomains          __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetProxiesSupplementalMatchDomains kSCPropNetProxiesSupplementalMatchDomains

/*!
  @const kSCPropNetProxiesSupplementalMatchOrders
  @discussion Value is a CFArray[CFNumber]
 */
extern const CFStringRef kSCPropNetProxiesSupplementalMatchOrders           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetProxiesSupplementalMatchOrders kSCPropNetProxiesSupplementalMatchOrders

/*!
  @const kSCPropNetProxiesServiceSpecific
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetProxiesServiceSpecific                   __OSX_AVAILABLE_STARTING(__MAC_10_11,__IPHONE_9_0/*SPI*/);
#define kSCPropNetProxiesServiceSpecific kSCPropNetProxiesServiceSpecific

/*!
  @const kSCPropNetProxiesScoped
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCPropNetProxiesScoped                            __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetProxiesScoped kSCPropNetProxiesScoped

/*!
  @const kSCPropNetProxiesServices
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCPropNetProxiesServices                          __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetProxiesServices kSCPropNetProxiesServices

/*!
  @const kSCPropNetProxiesSupplemental
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetProxiesSupplemental                      __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetProxiesSupplemental kSCPropNetProxiesSupplemental

/*!
  @const kSCPropNetProxiesSupplementalMatchDomain
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetProxiesSupplementalMatchDomain           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_5_0/*SPI*/);
#define kSCPropNetProxiesSupplementalMatchDomain kSCPropNetProxiesSupplementalMatchDomain

/*!
  @group kSCEntNetQoSMarkingPolicy Entity Keys
 */

/*!
  @const kSCPropNetQoSMarkingAppleAudioVideoCalls
  @discussion Value is a CFBoolean
 */
extern const CFStringRef kSCPropNetQoSMarkingAppleAudioVideoCalls           __OSX_AVAILABLE_STARTING(__MAC_10_13,__IPHONE_10_0/*SPI*/);
#define kSCPropNetQoSMarkingAppleAudioVideoCalls kSCPropNetQoSMarkingAppleAudioVideoCalls

/*!
  @const kSCPropNetQoSMarkingEnabled
  @discussion Value is a CFBoolean
 */
extern const CFStringRef kSCPropNetQoSMarkingEnabled                        __OSX_AVAILABLE_STARTING(__MAC_10_13,__IPHONE_10_0/*SPI*/);
#define kSCPropNetQoSMarkingEnabled kSCPropNetQoSMarkingEnabled

/*!
  @const kSCPropNetQoSMarkingWhitelistedAppIdentifiers
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetQoSMarkingWhitelistedAppIdentifiers      __OSX_AVAILABLE_STARTING(__MAC_10_13,__IPHONE_10_0/*SPI*/);
#define kSCPropNetQoSMarkingWhitelistedAppIdentifiers kSCPropNetQoSMarkingWhitelistedAppIdentifiers

/*!
  @group kSCEntNetService Entity Keys
 */

/*!
  @const kSCPropNetServicePrimaryRank
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetServicePrimaryRank                       __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/);
#define kSCPropNetServicePrimaryRank kSCPropNetServicePrimaryRank

/*!
  @const kSCPropNetServiceServiceIndex
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetServiceServiceIndex                      __OSX_AVAILABLE_STARTING(__MAC_10_12,__IPHONE_10_0/*SPI*/);
#define kSCPropNetServiceServiceIndex kSCPropNetServiceServiceIndex

/*!
  @const kSCPropNetServiceUserDefinedName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetServiceUserDefinedName                   __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/);
#define kSCPropNetServiceUserDefinedName kSCPropNetServiceUserDefinedName

/*!
  @const kSCValNetServicePrimaryRankFirst
 */
extern const CFStringRef kSCValNetServicePrimaryRankFirst                   __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/);
#define kSCValNetServicePrimaryRankFirst kSCValNetServicePrimaryRankFirst

/*!
  @const kSCValNetServicePrimaryRankLast
 */
extern const CFStringRef kSCValNetServicePrimaryRankLast                    __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/);
#define kSCValNetServicePrimaryRankLast kSCValNetServicePrimaryRankLast

/*!
  @const kSCValNetServicePrimaryRankNever
 */
extern const CFStringRef kSCValNetServicePrimaryRankNever                   __OSX_AVAILABLE_STARTING(__MAC_10_6,__IPHONE_2_0/*SPI*/);
#define kSCValNetServicePrimaryRankNever kSCValNetServicePrimaryRankNever

/*!
  @const kSCValNetServicePrimaryRankScoped
 */
extern const CFStringRef kSCValNetServicePrimaryRankScoped                  __OSX_AVAILABLE_STARTING(__MAC_10_10,__IPHONE_8_0/*SPI*/);
#define kSCValNetServicePrimaryRankScoped kSCValNetServicePrimaryRankScoped

/*!
  @group kSCEntNetVPN Entity Keys
 */

/*!
  @const kSCPropNetVPNAppRules
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetVPNAppRules                              __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNAppRules kSCPropNetVPNAppRules

/*!
  @const kSCPropNetVPNAuthCredentialPassword
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNAuthCredentialPassword                __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNAuthCredentialPassword kSCPropNetVPNAuthCredentialPassword

/*!
  @const kSCPropNetVPNAuthName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNAuthName                              __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNAuthName kSCPropNetVPNAuthName

/*!
  @const kSCPropNetVPNAuthPassword
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNAuthPassword                          __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNAuthPassword kSCPropNetVPNAuthPassword

/*!
  @const kSCPropNetVPNAuthPasswordEncryption
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNAuthPasswordEncryption                __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNAuthPasswordEncryption kSCPropNetVPNAuthPasswordEncryption

/*!
  @const kSCPropNetVPNAuthPasswordPluginType
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNAuthPasswordPluginType                __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNAuthPasswordPluginType kSCPropNetVPNAuthPasswordPluginType

/*!
  @const kSCPropNetVPNAuthenticationMethod
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNAuthenticationMethod                  __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNAuthenticationMethod kSCPropNetVPNAuthenticationMethod

/*!
  @const kSCPropNetVPNConnectTime
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNConnectTime                           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNConnectTime kSCPropNetVPNConnectTime

/*!
  @const kSCPropNetVPNDisconnectOnFastUserSwitch
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnFastUserSwitch            __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnFastUserSwitch kSCPropNetVPNDisconnectOnFastUserSwitch

/*!
  @const kSCPropNetVPNDisconnectOnIdle
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnIdle                      __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnIdle kSCPropNetVPNDisconnectOnIdle

/*!
  @const kSCPropNetVPNDisconnectOnIdleTimer
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnIdleTimer                 __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnIdleTimer kSCPropNetVPNDisconnectOnIdleTimer

/*!
  @const kSCPropNetVPNDisconnectOnLogout
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnLogout                    __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnLogout kSCPropNetVPNDisconnectOnLogout

/*!
  @const kSCPropNetVPNDisconnectOnSleep
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnSleep                     __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnSleep kSCPropNetVPNDisconnectOnSleep

/*!
  @const kSCPropNetVPNDisconnectOnWake
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnWake                      __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnWake kSCPropNetVPNDisconnectOnWake

/*!
  @const kSCPropNetVPNDisconnectOnWakeTimer
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetVPNDisconnectOnWakeTimer                 __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNDisconnectOnWakeTimer kSCPropNetVPNDisconnectOnWakeTimer

/*!
  @const kSCPropNetVPNLocalCertificate
  @discussion Value is a CFData
 */
extern const CFStringRef kSCPropNetVPNLocalCertificate                      __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNLocalCertificate kSCPropNetVPNLocalCertificate

/*!
  @const kSCPropNetVPNLogfile
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNLogfile                               __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNLogfile kSCPropNetVPNLogfile

/*!
  @const kSCPropNetVPNMTU
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetVPNMTU                                   __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNMTU kSCPropNetVPNMTU

/*!
  @const kSCPropNetVPNOnDemandEnabled
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNOnDemandEnabled                       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNOnDemandEnabled kSCPropNetVPNOnDemandEnabled

/*!
  @const kSCPropNetVPNOnDemandMatchAppEnabled
  @discussion Value is a CFBoolean
 */
extern const CFStringRef kSCPropNetVPNOnDemandMatchAppEnabled               __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandMatchAppEnabled kSCPropNetVPNOnDemandMatchAppEnabled

/*!
  @const kSCPropNetVPNOnDemandMatchDomainsAlways
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandMatchDomainsAlways            __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNOnDemandMatchDomainsAlways kSCPropNetVPNOnDemandMatchDomainsAlways

/*!
  @const kSCPropNetVPNOnDemandMatchDomainsOnRetry
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandMatchDomainsOnRetry           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNOnDemandMatchDomainsOnRetry kSCPropNetVPNOnDemandMatchDomainsOnRetry

/*!
  @const kSCPropNetVPNOnDemandMatchDomainsNever
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandMatchDomainsNever             __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNOnDemandMatchDomainsNever kSCPropNetVPNOnDemandMatchDomainsNever

/*!
  @const kSCPropNetVPNOnDemandRules
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRules                         __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCPropNetVPNOnDemandRules kSCPropNetVPNOnDemandRules

/*!
  @const kSCPropNetVPNOnDemandSuspended
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetVPNOnDemandSuspended                     __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandSuspended kSCPropNetVPNOnDemandSuspended

/*!
  @const kSCPropNetVPNPluginCapability
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNPluginCapability                      __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNPluginCapability kSCPropNetVPNPluginCapability

/*!
  @const kSCPropNetVPNRemoteAddress
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNRemoteAddress                         __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNRemoteAddress kSCPropNetVPNRemoteAddress

/*!
  @const kSCPropNetVPNStatus
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropNetVPNStatus                                __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNStatus kSCPropNetVPNStatus

/*!
  @const kSCPropNetVPNVerboseLogging
  @discussion Value is a CFNumber (0 or 1)
 */
extern const CFStringRef kSCPropNetVPNVerboseLogging                        __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropNetVPNVerboseLogging kSCPropNetVPNVerboseLogging

/*!
  @const kSCValNetVPNAppRuleAccountIdentifierMatch
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCValNetVPNAppRuleAccountIdentifierMatch          __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleAccountIdentifierMatch kSCValNetVPNAppRuleAccountIdentifierMatch

/*!
  @const kSCValNetVPNAppRuleDNSDomainMatch
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCValNetVPNAppRuleDNSDomainMatch                  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleDNSDomainMatch kSCValNetVPNAppRuleDNSDomainMatch

/*!
  @const kSCValNetVPNAppRuleExecutableMatch
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCValNetVPNAppRuleExecutableMatch                 __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleExecutableMatch kSCValNetVPNAppRuleExecutableMatch

/*!
  @const kSCValNetVPNAppRuleIdentifier
  @discussion Value is a CFString
 */
extern const CFStringRef kSCValNetVPNAppRuleIdentifier                      __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleIdentifier kSCValNetVPNAppRuleIdentifier

/*!
  @const kSCValNetVPNAppRuleExecutableDesignatedRequirement
  @discussion Value is a CFString
 */
extern const CFStringRef kSCValNetVPNAppRuleExecutableDesignatedRequirement  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleExecutableDesignatedRequirement kSCValNetVPNAppRuleExecutableDesignatedRequirement

/*!
  @const kSCValNetVPNAppRuleExecutableSigningIdentifier
  @discussion Value is a CFString
 */
extern const CFStringRef kSCValNetVPNAppRuleExecutableSigningIdentifier     __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleExecutableSigningIdentifier kSCValNetVPNAppRuleExecutableSigningIdentifier

/*!
  @const kSCValNetVPNAppRuleExecutableUUID
  @discussion Value is a CFString
 */
extern const CFStringRef kSCValNetVPNAppRuleExecutableUUID                  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAppRuleExecutableUUID kSCValNetVPNAppRuleExecutableUUID

/*!
  @const kSCValNetVPNAuthenticationMethodPassword
 */
extern const CFStringRef kSCValNetVPNAuthenticationMethodPassword           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCValNetVPNAuthenticationMethodPassword kSCValNetVPNAuthenticationMethodPassword

/*!
  @const kSCValNetVPNAuthenticationMethodCertificate
 */
extern const CFStringRef kSCValNetVPNAuthenticationMethodCertificate        __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCValNetVPNAuthenticationMethodCertificate kSCValNetVPNAuthenticationMethodCertificate

/*!
  @const kSCValNetVPNAuthPasswordEncryptionExternal
 */
extern const CFStringRef kSCValNetVPNAuthPasswordEncryptionExternal         __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNAuthPasswordEncryptionExternal kSCValNetVPNAuthPasswordEncryptionExternal

/*!
  @const kSCValNetVPNAuthPasswordEncryptionKeychain
 */
extern const CFStringRef kSCValNetVPNAuthPasswordEncryptionKeychain         __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCValNetVPNAuthPasswordEncryptionKeychain kSCValNetVPNAuthPasswordEncryptionKeychain

/*!
  @const kSCValNetVPNAuthPasswordEncryptionPrompt
 */
extern const CFStringRef kSCValNetVPNAuthPasswordEncryptionPrompt           __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCValNetVPNAuthPasswordEncryptionPrompt kSCValNetVPNAuthPasswordEncryptionPrompt

/*!
  @const kSCPropNetVPNOnDemandRuleAction
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleAction                    __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleAction kSCPropNetVPNOnDemandRuleAction

/*!
  @const kSCPropNetVPNOnDemandRuleActionParameters
  @discussion Value is a CFArray[CFDictionary]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleActionParameters          __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleActionParameters kSCPropNetVPNOnDemandRuleActionParameters

/*!
  @const kSCPropNetVPNOnDemandRuleDNSDomainMatch
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleDNSDomainMatch            __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleDNSDomainMatch kSCPropNetVPNOnDemandRuleDNSDomainMatch

/*!
  @const kSCPropNetVPNOnDemandRuleDNSServerAddressMatch
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleDNSServerAddressMatch     __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleDNSServerAddressMatch kSCPropNetVPNOnDemandRuleDNSServerAddressMatch

/*!
  @const kSCPropNetVPNOnDemandRuleSSIDMatch
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleSSIDMatch                 __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleSSIDMatch kSCPropNetVPNOnDemandRuleSSIDMatch

/*!
  @const kSCPropNetVPNOnDemandRuleInterfaceTypeMatch
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleInterfaceTypeMatch        __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleInterfaceTypeMatch kSCPropNetVPNOnDemandRuleInterfaceTypeMatch

/*!
  @const kSCPropNetVPNOnDemandRuleURLStringProbe
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleURLStringProbe            __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleURLStringProbe kSCPropNetVPNOnDemandRuleURLStringProbe

/*!
  @const kSCValNetVPNOnDemandRuleActionAllow
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionAllow                __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionAllow kSCValNetVPNOnDemandRuleActionAllow

/*!
  @const kSCValNetVPNOnDemandRuleActionIgnore
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionIgnore               __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionIgnore kSCValNetVPNOnDemandRuleActionIgnore

/*!
  @const kSCValNetVPNOnDemandRuleActionConnect
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionConnect              __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionConnect kSCValNetVPNOnDemandRuleActionConnect

/*!
  @const kSCValNetVPNOnDemandRuleActionDisconnect
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionDisconnect           __OSX_AVAILABLE_STARTING(__MAC_10_8,__IPHONE_6_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionDisconnect kSCValNetVPNOnDemandRuleActionDisconnect

/*!
  @const kSCValNetVPNOnDemandRuleActionEvaluateConnection
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionEvaluateConnection   __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionEvaluateConnection kSCValNetVPNOnDemandRuleActionEvaluateConnection

/*!
  @const kSCPropNetVPNOnDemandRuleActionParametersDomainAction
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleActionParametersDomainAction  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleActionParametersDomainAction kSCPropNetVPNOnDemandRuleActionParametersDomainAction

/*!
  @const kSCPropNetVPNOnDemandRuleActionParametersDomains
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleActionParametersDomains   __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleActionParametersDomains kSCPropNetVPNOnDemandRuleActionParametersDomains

/*!
  @const kSCPropNetVPNOnDemandRuleActionParametersRequiredDNSServers
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleActionParametersRequiredDNSServers  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleActionParametersRequiredDNSServers kSCPropNetVPNOnDemandRuleActionParametersRequiredDNSServers

/*!
  @const kSCPropNetVPNOnDemandRuleActionParametersRequiredURLStringProbe
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropNetVPNOnDemandRuleActionParametersRequiredURLStringProbe  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCPropNetVPNOnDemandRuleActionParametersRequiredURLStringProbe kSCPropNetVPNOnDemandRuleActionParametersRequiredURLStringProbe

/*!
  @const kSCValNetVPNOnDemandRuleActionParametersDomainActionConnectIfNeeded
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionParametersDomainActionConnectIfNeeded  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionParametersDomainActionConnectIfNeeded kSCValNetVPNOnDemandRuleActionParametersDomainActionConnectIfNeeded

/*!
  @const kSCValNetVPNOnDemandRuleActionParametersDomainActionNeverConnect
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleActionParametersDomainActionNeverConnect  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleActionParametersDomainActionNeverConnect kSCValNetVPNOnDemandRuleActionParametersDomainActionNeverConnect

/*!
  @const kSCValNetVPNOnDemandRuleInterfaceTypeMatchCellular
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleInterfaceTypeMatchCellular  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleInterfaceTypeMatchCellular kSCValNetVPNOnDemandRuleInterfaceTypeMatchCellular

/*!
  @const kSCValNetVPNOnDemandRuleInterfaceTypeMatchEthernet
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleInterfaceTypeMatchEthernet  __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleInterfaceTypeMatchEthernet kSCValNetVPNOnDemandRuleInterfaceTypeMatchEthernet

/*!
  @const kSCValNetVPNOnDemandRuleInterfaceTypeMatchWiFi
 */
extern const CFStringRef kSCValNetVPNOnDemandRuleInterfaceTypeMatchWiFi     __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNOnDemandRuleInterfaceTypeMatchWiFi kSCValNetVPNOnDemandRuleInterfaceTypeMatchWiFi

/*!
  @const kSCValNetVPNPluginCapabilityAuth
 */
extern const CFStringRef kSCValNetVPNPluginCapabilityAuth                   __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNPluginCapabilityAuth kSCValNetVPNPluginCapabilityAuth

/*!
  @const kSCValNetVPNPluginCapabilityConnect
 */
extern const CFStringRef kSCValNetVPNPluginCapabilityConnect                __OSX_AVAILABLE_STARTING(__MAC_10_9,__IPHONE_7_0/*SPI*/);
#define kSCValNetVPNPluginCapabilityConnect kSCValNetVPNPluginCapabilityConnect

/*!
  @group kSCCompSystem Properties
 */

/*!
  @const kSCPropSystemComputerNameRegion
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropSystemComputerNameRegion                    __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropSystemComputerNameRegion kSCPropSystemComputerNameRegion

/*!
  @const kSCPropSystemHostName
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropSystemHostName                              __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropSystemHostName kSCPropSystemHostName

/*!
  @group Virtual Network Interface Keys
 */

/*!
  @const kSCPropVirtualNetworkInterfacesBondInterfaces
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondInterfaces      __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesBondInterfaces kSCPropVirtualNetworkInterfacesBondInterfaces

/*!
  @const kSCPropVirtualNetworkInterfacesBondMode
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondMode            __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesBondMode kSCPropVirtualNetworkInterfacesBondMode

/*!
  @const kSCPropVirtualNetworkInterfacesBondOptions
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBondOptions         __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesBondOptions kSCPropVirtualNetworkInterfacesBondOptions

/*!
  @const kSCPropVirtualNetworkInterfacesBridgeInterfaces
  @discussion Value is a CFArray[CFString]
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBridgeInterfaces    __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesBridgeInterfaces kSCPropVirtualNetworkInterfacesBridgeInterfaces

/*!
  @const kSCPropVirtualNetworkInterfacesBridgeOptions
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesBridgeOptions       __OSX_AVAILABLE_STARTING(__MAC_10_7,__IPHONE_4_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesBridgeOptions kSCPropVirtualNetworkInterfacesBridgeOptions

/*!
  @const kSCPropVirtualNetworkInterfacesVLANInterface
  @discussion Value is a CFString
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANInterface       __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesVLANInterface kSCPropVirtualNetworkInterfacesVLANInterface

/*!
  @const kSCPropVirtualNetworkInterfacesVLANTag
  @discussion Value is a CFNumber
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANTag             __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesVLANTag kSCPropVirtualNetworkInterfacesVLANTag

/*!
  @const kSCPropVirtualNetworkInterfacesVLANOptions
  @discussion Value is a CFDictionary
 */
extern const CFStringRef kSCPropVirtualNetworkInterfacesVLANOptions         __OSX_AVAILABLE_STARTING(__MAC_10_5,__IPHONE_2_0/*SPI*/);
#define kSCPropVirtualNetworkInterfacesVLANOptions kSCPropVirtualNetworkInterfacesVLANOptions


#endif	/* _SCSCHEMADEFINITIONSPRIVATE_H */
